<?php

namespace App\ViewModels\PagSeguro\PagSeguroNotificationCreditCard;

use App\Utils\Entity;

class PagSeguroSummaryViewModel extends Entity {
	protected $total;
	protected $paid;
	protected $refunded;

	public static function builder(): PagSeguroSummaryViewModelBuilder {

		return new PagSeguroSummaryViewModelBuilder();

	}
	/**
	 * @return mixed
	 */
	public function getTotal() {

		return $this->total;
	}


	/**
	 * @return mixed
	 */
	public function getPaid() {

		return $this->paid;
	}


	/**
	 * @return mixed
	 */
	public function getRefunded() {

		return $this->refunded;
	}


	/**
	 * @param mixed $total
	 */
	public function setTotal($total) {

		$this->total = $total;
	}


	/**
	 * @param mixed $paid
	 */
	public function setPaid($paid) {

		$this->paid = $paid;
	}


	/**
	 * @param mixed $refunded
	 */
	public function setRefunded($refunded) {

		$this->refunded = $refunded;
	}


	
	

}

